aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHimbeerserverDE <himbeerserverde@gmail.com>2022-09-02 13:43:26 +0200
committerHimbeerserverDE <himbeerserverde@gmail.com>2022-09-02 13:43:26 +0200
commit1d4cb5e40977692a1bfc1b470125de8df9973b03 (patch)
treec902d46ed9964e685d5832a02715569312bb6816
parent1973881fd17aceaec47fea6d479412b8ac72b3a4 (diff)
set -e
-rwxr-xr-xinstall.sh2
-rwxr-xr-xshell_only.sh2
2 files changed, 4 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 7599c45..5baa621 100755
--- a/install.sh
+++ b/install.sh
@@ -15,6 +15,8 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
+set -e
+
echo -e "\e[1m\e[1;31mMAKE SURE YOU ARE IN THE DIRECTORY THIS SCRIPT IS LOCATED IN!"
echo -e "\e[0m\e[1;31mIf you're sure you are in the correct dir, press Enter."
read
diff --git a/shell_only.sh b/shell_only.sh
index 8e2b0a9..26ced7e 100755
--- a/shell_only.sh
+++ b/shell_only.sh
@@ -15,6 +15,8 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
+set -e
+
function called_directly {
[[ ${SHLVL} -eq 2 ]]
}